
package com.jeelowcode.module.biz.demo.test;


import com.jeelowcode.core.framework.config.aspect.enhance.model.EnhanceContext;
import com.jeelowcode.core.framework.config.aspect.enhance.plugin.AfterAdvicePlugin;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @author JX
 * @create 2024-08-19 9:35
 * @dedescription:
 */
@Component("demoAfterAdvicePlugin")
public class DemoAfterAdvicePlugin implements AfterAdvicePlugin {
    @Override
    public void execute(EnhanceContext enhanceContext) {
        List<Map<String, Object>> list = enhanceContext.getParam().getList();
        list.forEach(
                map -> map.replace("name", map.get("name") + "01"));
    }
}
